• Welcome, Guest. Please login.
 
August 15, 2020, 11:56:09 am

News:

Welcome to the SQLitening support forums!


New Version- Is it backward compatible?

Started by Marty Francom, July 21, 2011, 05:03:29 pm

Previous topic - Next topic

Marty Francom

Fred,
   Is the new version backward compatible with programs compiled using version 1.40 Include file?
Or do those programs need to be recompiled with the 1.50 include file?
...Marty

D. Wilson

My experience is you need to recompile. All Version numbers must match

Fred Meier

July 21, 2011, 07:43:35 pm #2 Last Edit: July 22, 2011, 08:43:39 am by Fred Meier
I know of no reason you need to recompile.  None of the existing routines changed their parameters in SQLitening.Inc.  Of course, SQLiteningClient.Dll and SQLiteningServer.Exe must be the same versions.

D. Wilson

I should clarify my answer -- I have learned to update all dll's and include files when I change the server version. I am using VB so I need to recompile because my include file is in my exe. Other than that everything works great !!!